Subject: Re: [PATCH net-next 1/3] flow_offload: allow user to offload tc action to net device

From: Simon Horman <[email-masked]>
Date: Tue, 3 Aug 2021 13:36:55 +0200

On Tue, Aug 03, 2021 at 06:14:08AM -0400, Jamal Hadi Salim wrote:
> On 2021-07-30 9:20 a.m., Simon Horman wrote:
> > On Fri, Jul 30, 2021 at 06:17:18AM -0400, Jamal Hadi Salim wrote:
> > > On 2021-07-28 10:46 a.m., Simon Horman wrote:
> 
> [..]
> 
> > > It still not clear to me what it means from a command line pov.
> > > How do i add a rule and when i dump it what does it show?
> > 
> > How about we confirm that once we've implemented the feature.
> > 
> > But I would assume that:
> > 
> > * Existing methods for adding rules work as before
> > * When one dumps an action (in a sufficiently verbose
> >    way) the in_hw and in_hw_counter fields are displayed as they are for
> >    filters.
> > 
> > Does that help?
> > 
> 
> I think it would help a lot more to say explicitly what it actually
> means in the cover letter from a tc cli pov since the subject
> is about offloading actions _independently_ of filters.
> I am assuming you have some more patches on top of these that
> actually will actually work for that.
> 
> Example of something you could show was adding a policer,
> like so:
> 
> tc actions add action ... skip_sw...
> 
> then show get or dump showing things in h/w.
> And del..
> 
> And i certainly hope that the above works and it is
> not meant just for the consumption of some OVS use
> case.

I agree it would be useful to include a tc cli example in the cover letter.
I'll see about making that so in v2.